<!------- hide the script from old browsers
// functions for oyster lessons

//BROWSER DETECTION
browser_name = navigator.appName;
browser_version = parseFloat(navigator.appVersion); 

if (browser_name == "Netscape" && browser_version < 2.0) 
  { okMouse = 'false'; }
else if (browser_name == "Netscape" && browser_version == 2.0) 
  { okMouse = 'false'; }
else if (browser_name == "Netscape" && browser_version >= 3.0) 
  { okMouse = 'true'; }
else if (browser_name == "Microsoft Internet Explorer" && 
  browser_version <= 2.0) { okMouse = 'false'; }
else if (browser_name == "Microsoft Internet Explorer" && 
  browser_version >= 3.0) { okMouse = 'true'; }
else if (browser_version >= 4.0) { 
  //assume can read javascript and is a than 4.0 version
  okMouse = 'true';
}
else { okMouse = 'false'; }
	
function msover(imgName,img) { // mouse rollover function
  if (okMouse) { document[imgName].src = eval(img + '.src'); }
}	

function msout(imgName,img) { // mouse rollout function
  if (okMouse) { document[imgName].src = eval(img + '.src'); }
}

function status_line(string) { // status line message with mouseover
  if (okMouse) { window.status = string; }
}

if (window.location.href.indexOf("anatlab") > -1) {
  none = new Image(); none.src="clear.gif";
  correct = new Image(); correct.src="correct.gif";
  wrong = new Image(); wrong.src="wrong.gif";
}

function check_answer(question,guess) {
  var answers, msg;
  var img = "q" + question; 
  // answers to lab questions (not all questions are interactive)
  var answers = new Array(22);
  answers['0'] = "reset";
  answers['e1'] = "2";
  answers['e2'] = "bivalve"; 
  answers['e4'] = "yes";
  answers['e6'] = "opening";
  answers['i2'] = "sensory reception";
  answers['i3'] = "all";
  answers['i5'] = "2";
  answers['i6'] = "gas exchange & moving water";
  answers['i9'] = "2";
  answers['i10'] = "1";
  answers['i11'] = "open";

//  answers = new Array('reset', '2', 'bivalve', 'opening', 'yes', 'bottom', '', //'', '', 'knee & elbow', '', '', 'sensory reception', 'all', '2', 'gas exchange //& moving water', '', '', '', '2', '1', 'open');

  if (answers['0'] == guess) { ref = none.src; }
  else if (answers[question] == guess) { ref = correct.src; }
  else { ref = wrong.src; }
  document.images[img].src = ref;
}
	
function define_term(term,folder) {
  var url, winopt;
  if (folder != "top") { url = "../glossary.htm#" + term; }
  else { url = "glossary.htm#" + term; }
  winopt = "toolbar=no,location=no,directories=no,menubar=no,resizable=no";
  winopt = "scrollbars=yes,width=400,height=80," + winopt;   
  myWin=window.open(url,"dummy",winopt);
}

function define_fig(gif,width,height,alt,legend) {
  var winopt, html;
  html = "<HTML>\n<HEAD>\n";
  html += "<TITLE>Oyster Anatomy: Laboratory</TITLE>\n";
  html += "</HEAD>\n";
  html += "<BODY TEXT=\"#002984\" LINK=\"#0000ff\" VLINK=\"#800080\" ";
  html += "BGCOLOR=\"#FFFFFF\" onblur=window.close()>\n";
  html += "<CENTER>\n";
  html += "<IMG SRC=\"" + gif + "\" ALT=\"" + alt + "\" ";
  html += "height=" + height + " width=" + width + ">\n";
  html += "<H3>\n" + legend + "\n<H3>\n";
  html += "<FORM>\n";
  html += "<INPUT TYPE=\"Button\" value=\"Close Window\" ";
  html += "onClick=\"window.close();\"><BR>\n";
  html += "</FORM>\n";
  html += "</CENTER>\n";
  html += "</BODY>\n";
  html += "</HTML>\n";
  height = height + 130; // orig + 80 then 120
  width = width + 40;
  // note: toolbar = yes to allow printing of pop-up window
  winopt = "toolbar=no,location=no,directories=no,menubar=no,resizable=no,";
  winopt += "scrollbars=yes,width=" + width + ",height=" + height;
  newWin=window.open("","dummy",winopt);
  newWin.document.write(html);
  newWin.document.close();
  return
}

function define_mov(mov,mov_txt,gif,alt,title,text) {
  var winopt, html;
  var height = 180;
  var width = 240;
  height = 250; width = 500;
  html = "<HTML>\n<HEAD>\n";
  html += "<TITLE>Oyster Anatomy:  " + title + " Video</TITLE>\n";
  html += "</HEAD>\n";
  html += "<BODY TEXT=\"#002984\" LINK=\"#0000ff\" VLINK=\"#800080\" ";
  html += "BACKGROUND=\"back2.gif\" onblur=window.close()>\n";
  html += "<CENTER>\n";
  html += "<H3>\n" + title + " Video\n<H3>\n";

  html += "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=4 WIDTH=500>\n";
  html += "<TR>\n";
  html += "<TD ALIGN=LEFT VALIGN=TOP>\n";
  //html += "<embed type=\"video/quicktime\" src=\"" + mov + "\" ";
  html += "<embed src=\"" + mov + "\" ";
  html += "width=\"240\" height=\"195\" autoplay=\"true\" ";
  //html += "target=\"quicktimeplayer\" cache=\"true\" volume=\"0\">\n"; 
  html += "cache=\"true\" volume=\"0\">\n"; 
  html += "</embed>\n<BR>\n</TD>\n";
  html += "<TD ALIGN=LEFT VALIGN=TOP WIDTH=240>\n";
  html += "<IMG SRC=\"" + gif + "\" ALT=\"" + alt + "\" ";
  html += "HEIGHT=180 WIDTH=240>\n<BR>\n</TD>\n";
  html += "</TR>\n<TR>\n";
  html += "<TD ALIGN=LEFT VALIGN=TOP>\n";
  html += mov_txt + "<BR>\n</TD>\n";
  html += "<TD ALIGN=LEFT VALIGN=TOP>\n";
  html += text + "<BR>\n</TD>\n";
  html += "</TR>\n</TABLE>\n";

  html += "<FORM>\n";
  html += "<INPUT TYPE=\"Button\" value=\"Close Window\" ";
  html += "onClick=\"window.close();\"><BR>\n";
  html += "</FORM>\n";
  html += "</CENTER>\n";
  html += "</BODY>\n";
  html += "</HTML>\n";
  height = height + 80;
  width = width + 40;
  // note: toolbar = yes to allow printing of pop-up window
  winopt = "toolbar=yes,location=yes,directories=yes,menubar=yes,resizable=no,";
  winopt = "toolbar=no,location=no,directories=no,menubar=no,resizable=no,";
  winopt += "scrollbars=yes,width=" + width + ",height=" + height;
  newWin=window.open("","dummy",winopt);
  newWin.document.write(html);
  newWin.document.close();
  return
}

function define_video(mov,title,height,width,mov_txt,include_audio) {
  var winopt, html; 
  if (!height) { height = 250; }
  if (!width) { width = 500; }
  html = "<HTML>\n<HEAD>\n";
  html += "<TITLE>Oyster Anatomy:  " + title + " Video</TITLE>\n";
  html += "</HEAD>\n";
  html += "<BODY TEXT=\"#002984\" LINK=\"#0000ff\" VLINK=\"#800080\">\n";
  html += "<div align=\"center\">\n";
  html += "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
  html += "<tr>\n";
  html += "<td align=\"center\" valign=\"top\">\n";
  html += "<h3>\n" + title + "\n<h3>\n";
  html += "</td>\n</tr>\n<tr>\n<td align=\"center\" valign=\"top\">\n";
  html += "<embed src=\"" + mov + "\" ";
  html += "width=\"" + width + "\" height=\"" + height + "\" autoplay=\"true\" ";
  //html += "target=\"quicktimeplayer\" cache=\"true\" volume=\"0\">\n"; 
  if (!include_audio) { // playeveryframe turns off all audio tracks
    html += 'playeveryframe="true" ';
  }
  html += "cache=\"true\" volume=\"0\"></embed>\n";
  //html += "</td>\n</tr>\n<tr>\n<td align=\"center\" valign=\"top\">\n";
  html += "<div style=\"margin-top:5px\">\n" + mov_txt + "\n</div>\n";
  html += "</td>\n</tr>\n</table>\n";
  html += "</div>\n";
  html += "<div align=\"center\" style=\"margin-top:10px\">\n";
  html += "<form>\n";
  html += "<input type=\"Button\" value=\"Close Window\" style=\"font-size:10px\"";
  html += "onClick=\"window.close();\"><br>\n";
  html += "</form>\n";
  html += "</div>\n";
  html += "</body>\n</html>\n";
  height = height + 120;
  width = width + 40; 
  // note: toolbar = yes to allow printing of pop-up window
  winopt = "toolbar=yes,location=yes,directories=yes,menubar=yes,resizable=no,";
  winopt = "toolbar=no,location=no,directories=no,menubar=no,resizable=no,";
  winopt += "scrollbars=yes,width=" + width + ",height=" + height; 
  newWin=window.open("","dummy",winopt);
  newWin.document.write(html);
  newWin.document.close();
  return
}

//function define_fig(url,width,height) {
// var winopt;
// //height = height * 1.1;
// width = width * 1.1;
// winopt = "toolbar=no,location=no,directories=no,menubar=no,resizable=no";
// winopt = "scrollbars=yes,width=" + width + ",height=" + height +"," + winopt;   
// myWin=window.open(url,"dummy",winopt);
//}


function anatlab_footer(where) {
  if (where == 'anatlab_index') { // index page
    anatlab_msg = "";
    oyster_footer('anatlab_index');
  }
  else {
    var link;
    anatlab_msg = "<CENTER>\n";
    var url = new Array(); 
    url[0] = "index";
    url[1] = "lab_e";
    url[2] = "lab_i";
    url[3] = "aquarium";
    url[4] = "../glossary";
    url[5] = "bib";
    url[6] = "ack";
    var label = new Array();
    label[0] = "Introduction";
    label[1] = "External Laboratory";
    label[2] = "Internal Laboratory";
    label[3] = "Aquarium Set-up";
    label[4] = "Glossary";
    label[5] = "Bibliography";
    label[6] = "Acknowledgements";

    for (i = 0; i < url.length; i++) {
      if (url[i] == where) { 
        anatlab_msg += "<FONT COLOR=GRAY>" + label[i] + "</FONT> ";
      }
      else { 
        if (url[i] != 'aquarium') { // temp - until aquarium page is redone
        anatlab_msg += "<A HREF=\"" + url[i] + ".htm\">" + label[i] + "</A> ";
        }
      }
      //if (i == 3 || i == 6) { anatlab_msg += "<BR>\n"; }
      //else { anatlab_msg += "&nbsp;&#8226;&nbsp;"; }

      // temp - until aquarium page is redone
      if (i == 2 || i == 6) { anatlab_msg += "<BR>\n"; }
      else {
        if (i == 3) { anatlab_msg += ""; }
        else { anatlab_msg += "&nbsp;&#8226;&nbsp;"; }
      }  
    } 
  
    anatlab_msg += "<BR>\n</CENTER>\n ";

    oyster_footer('anatlab');
  }
}

function oyster_footer(page) {

  update(); // get the_date (last modified date)
 
  var url_adjust = "";
  if (page == 'anatlab') { url_adjust = "../"; }
  else if (page == 'anatlab_index') { url_adjust = "../"; }

  var msg = "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=533>\n";
  msg += "<TR>\n";
  msg += "<TD ALIGN=LEFT VALIGN=TOP COLSPAN=3 WIDTH=533>\n";
  msg += "<HR NOSHADE SIZE=2>\n<BR>\n";
  if (page == 'anatlab') { // include anatlab links
    msg += anatlab_msg;
  }
  msg += "</TD>\n";
  msg += "</TR>\n";
  msg += "<TR>\n";
  msg += "<TD ALIGN=LEFT VALIGN=TOP WIDTH=175>\n";
  msg += "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=100%>\n";
  msg += "<TD ALIGN=LEFT VALIGN=TOP WIDTH=100>\n";
  msg += "<A HREF=\"http://www.mdsg.umd.edu/\" ";
  msg += "onMouseOver=\"status_line('Visit the Maryland Sea Grant web site');return true;\">";
  msg += "<IMG SRC=\"" + url_adjust + "mdsg_logo.gif\" ";
  msg += "ALT=\"[Maryland Sea Grant]\" WIDTH=90 HEIGHT=72 ";
  msg += "BORDER=0></A>&nbsp;&nbsp;<BR>";
  msg += "</TD>\n";
  msg += "<TD ALIGN=RIGHT VALIGN=TOP WIDTH=75>\n";
  msg += "&nbsp;&nbsp;<A HREF=\"http://www.noaa.gov/\" ";
  msg += "onMouseOver=\"status_line('Visit the National Oceanic and Atmospheric ";
  msg += "(NOAA) web site');return true;\">";
  msg += "<IMG SRC=\"" + url_adjust + "noaa_logo.gif\" ";
  msg += "ALT=\"[NOOA]\" WIDTH=70 HEIGHT=72 ";
  msg += "BORDER=0></A><BR>\n";
  msg += "<BR>\n";
  msg += "</TD>\n";
  msg += "</TR>\n";
  msg += "</TABLE>\n";

  if  (page != 'anatlab_index') {
    msg += "<SPAN CLASS=\"FOOTER\">\n";
    msg += "Note: This page uses one or more JavaScripts and work best with ";  
    msg += "Netscape and Microsoft Internet Explorer ";
    msg += "version 4.0 or later. \n";
    msg += "</SPAN>\n";
  }  

  msg += "</TD>\n";

  //msg += "<TD NOWRAP ALIGN=LEFT VALIGN=TOP WIDTH=15>\n";
  //msg += "&nbsp; &nbsp; &nbsp; &nbsp;<BR>\n";
  //msg += "</TD>\n";

  msg += "<TD NOWRAP ALIGN=LEFT VALIGN=TOP WIDTH=353>\n";
  //msg += "<FONT FACE=\"Times New Roman\">\n";
  //msg += "<BR>\n";
  msg += "<DL>\n<DT>\n<DD>\n";
  msg += "<B><A HREF=\"" + url_adjust + "oysclass.htm\">";
  msg += "Oysters in the Classroom</A></B>\n";
  msg += "<BR>\n<BR>\n";

  if (page != '5e') { // all but this page 
    msg += "<B><A HREF=\"" + url_adjust + "oys5e.htm\">";
    msg += "Teacher Resources (5E)</A></B>\n";
    msg += "<BR>\n<BR>\n";
  }

  //msg += "<FONT SIZE=-1>\n";
  msg += "<SPAN CLASS=\"FOOTER\">\n";
  msg += "This page was last modified on " + the_date + "\n";
  msg += "<BR>\n<BR>\n";
  msg += "Maryland Sea Grant, University of Maryland<BR>\n";
  msg += "4321 Hartwick Road, Suite 300, College Park, Maryland&nbsp;&nbsp;20740<BR>\n";
  msg += "(301) 403-4220 &#8226; Fax (301) 403-4255<BR>\n";
  msg += "Email:&nbsp;";
  msg += "<A HREF=\"mailto:mdsg@mdsg.umd.edu\">mdsg@mdsg.umd.edu</A>";
  msg += "&nbsp;&#8226;&nbsp;Web:&nbsp;";
  msg += "<A HREF=\"http://www.mdsg.umd.edu/\">";
  msg += "http://www.mdsg.umd.edu/</A>";
  msg += "<BR>\n<BR>\n";
  msg += "For more information, report problems or provide comments, ";
  msg += "please contact <A HREF=\"mailto:webmaster@mdsg.umd.edu\">";
  msg += "webmaster@mdsg.umd.edu</A>.<BR>\n";
  msg += "</SPAN>\n";
  //msg += "</FONT>\n";
  msg += "</DL>\n";
  msg += "</TD>\n";
  msg += "</TR>\n";

  msg += "</TABLE>\n";

  document.write(msg);

}

function update(page) { // date last modified 
  var montharray = new  Array("January", "February", "March", "April", 
   "May", "June", "July", "August", "September", "October", 
   "November"," December");
  // get date the file was last modified
  var dateobj = new Date(document.lastModified);
  // find the year, month and day
  var yy = dateobj.getYear(); 
  var mm = dateobj.getMonth();
  var dd = dateobj.getDate();
  // correct year if necessary
  if (yy < 1000) { yy += 1900; }
  // create text string of date as mm dd, yy 
  the_date = montharray[mm] + " " + dd + ", " + yy;
 
  //if (browser_name == "Netscape") { // not work for Netscape?
    //the_date = "November 8, 2002";
 // }

  if (page == 'oysclass') {
    document.write(the_date);
    return;
  }
  else { return the_date; }
}

function open_window(file,width,height) {
  // note: toolbar = yes to allow printing of pop-up window
  winopt = "toolbar=no,location=no,directories=no,menubar=no,";
  winopt += "resizable=no,scrollbars=yes";
  if (width && height) { winopt += ",width=" + width + ",height=" + height; }
  newWin=window.open(file,"dummy",winopt);
}


//close off comment to hide this script from old browsers----------->

